<?
	/*
		file.php
		
		File processing function library

		Copyright (C) 2000, 2001 Jeff Teunissen <deek@quakeforge.net>

		This program is free software; you can redistribute it and/or
		modify it under the terms of the GNU General Public License
		as published by the Free Software Foundation; either version 2
		of the License, or (at your option) any later version.

		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

		See the GNU General Public License for more details.

		You should have received a copy of the GNU General Public License
		along with this program; if not, write to:

		Free Software Foundation, Inc.
		59 Temple Place - Suite 330
		Boston, MA  02111-1307, USA.
	*/
	have ('file');

	/*
		fileTranslateUrl

		Display a file with email addresses and URLs translated to links.
	*/
	function fileTranslateUrl ($filename) {
	
		$file = fopen ($filename, "r");
	
		while ($line = fgets ($file, 2048)) {
			if (preg_match ("/\</", $line)) {
				$words = preg_split ("/\</", $line);
				$words[1] = preg_replace ("/>/", "", $words[1]);
				echo '<A href="mailto:' . $words[1] . '">' . $words[0] . '</A><BR>';
			} else {
				$line = preg_replace ("/http:\/\/(.*)/", "<A href=\"http://\\1\">http://\\1</A><BR>", $line);
				echo $line;
			}
		}
		fclose ($file);
	}
?>
