<?	// Preamble
	$pageName = "Screenshots";
	$focused = "none";					// Dock icon name to gets a border
	$currPage = "shots";				// Name of the page, for the menu
	require "parts/preamble.php";		// Load most of document

	function screenshot ($name, $caption)
	{
		echo '<P class="lined">'
			.'	<CENTER><A class="screenshot" href="/img/screenshots/' . $name . '.png"><IMG src="/img/screenshots/' . $name . '.jpg" width="200" height="150" alt="View at full size"></A></CENTER><BR>'
			.	$caption
			.'</P>';
	}
?>
<P>
	Here are some screen captures of QuakeForge in action, showing off
	some of the things we've done to this beast. None of these shots are
	gamma-modified or doctored, they are what you actually see in the game.
</P>

<DIV class="featureBox">
	<DIV class="featureTitle">QuakeForge: Newtree</DIV>
	<?
		screenshot ('wateralpha-0.3', 'The Elder World pool, with a watervised map and with r_wateralpha 0.3. If you look closely, you can see the partially fullbright texture on the nail box below.');
		screenshot ('dlights-quad-rocket', 'This one really shows off dynamic lighting and fullbrights. The player has quad damage, causing them to give off a blue dynamic light. A rocket is exploding after hitting a wall, and in the background you see the fullbrights on the exit glowing bright red.');
		screenshot ('conback', 'This shows our logo as a <a href="/files/conback.lmp.gz">conback</a> (or, <a href="/files/pakQF.pak">more conveniently</a>, works as is). Also shows ALSA sound initialisation.');
		screenshot ('location', 'This shows a location marker (only visible with r_drawentities 0) which was placed shortly before taking the screenshot');
		screenshot ('smoke', 'Smoke trails and lights. Nuff said :)');
		// put more here

	?>
</DIV>
